package com.bonus.canteen.core.menu.constant;

public enum MenuEvaluaOrderTypeEnum {
   CANTEEN_ORDER(1, "食堂订单"),
   SUPERMARKET_ORDER(2, "商超订单");

   private final Integer key;
   private final String value;

   private MenuEvaluaOrderTypeEnum(Integer key, String value) {
      this.key = key;
      this.value = value;
   }

   public static Integer getKey(String value) {
      MenuEvaluaOrderTypeEnum[] enums = values();
      MenuEvaluaOrderTypeEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         MenuEvaluaOrderTypeEnum temp = var2[var4];
         if (temp.value().equals(value)) {
            return temp.key();
         }
      }

      return null;
   }

   public static String getValue(Integer key) {
      MenuEvaluaOrderTypeEnum[] enums = values();
      MenuEvaluaOrderTypeEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         MenuEvaluaOrderTypeEnum temp = var2[var4];
         if (temp.key().equals(key)) {
            return temp.value();
         }
      }

      return null;
   }

   public Integer key() {
      return this.key;
   }

   public String value() {
      return this.value;
   }

}
